Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
List all CA trust bundles.
cURL
curl -sk -X GET "https://<controller>/v2.5/api/dcf/trustbundle" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2.5/api/dcf/trustbundle" headers = {"Authorization": "cid <CID>"} response = requests.get(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/dcf/trustbundle", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
{ "bundles": [ { "bundle_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "display_name": "<string>" } ], "total": 123 }
{ "message": "<string>" }
Controller ID in the format: cid .
"cid <CID>"
List of trust bundles retrieved successfully
Show child attributes
Total number of bundles available
Was this page helpful?